Download it now!
Bug 93831 - FILEOPEN XLSX Slow to open
Summary: FILEOPEN XLSX Slow to open
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
4.0 all versions
Hardware: All All
: medium major
Assignee: Not Assigned
URL:
Whiteboard: target:7.0.0 target:6.4.3 target:6.3.6
Keywords: bibisected, haveBacktrace, perf, regression
Depends on:
Blocks: XLSX File-Opening
  Show dependency treegraph
 
Reported: 2015-09-01 08:24 UTC by Ajitkumar Nair
Modified: 2020-08-25 14:47 UTC (History)
8 users (show)

See Also:
Crash report or crash signature:


Attachments
The attachment is an excel file prepared in Excel 365 with many sheets. (453.55 KB, application/vnd.openxmlformats-officedocument.spreadsheetml.sheet)
2015-09-01 08:24 UTC, Ajitkumar Nair
Details
Callgrind output from master (7.15 MB, application/x-xz)
2019-04-03 09:45 UTC, Buovjaga
Details
Flamegraph (435.33 KB, application/x-bzip)
2019-12-30 17:57 UTC, Julien Nabet
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Ajitkumar Nair 2015-09-01 08:24:32 UTC
Created attachment 118307 [details]
The attachment is an excel file prepared in Excel 365 with many sheets.

1.Calc takes time to open large Ms office files (.xlsx). Calc exits the system while saving these files (error popup message not visible). Attached is a sample file for your testing (c2).

2. If calc goes into document recovery mode for one file, it keeps running the document recovery mode for all files.

3.Overall the 64 bit version is very sluggish.
Comment 1 Buovjaga 2015-09-18 11:45:28 UTC
Confirmed opening took minutes on 32-bit version.
Confirmed crash on save, could not get backtrace.

Win 7 Pro 64-bit, Version: 5.0.1.2 (32-bit)
Build ID: 81898c9f5c0d43f3473ba111d7b351050be20261
Locale: fi-FI (fi_FI)
Comment 2 Alberto Ferreira 2015-09-19 20:35:54 UTC
Ubunto 15.10   64 bits                Windows 8.1 64bits
LibreOffice 5.0.1.2                   LibreOffice 5.0.2.2

1) My Microsoft Office 2010 on Windows 8.1 64bits takes 2 seconds to open this xlsx files in attach.

2) I have tried to open this file with LIbreoffice 5.0.1.2 in linux 64 bits and it takes 17minutes.

2) I have tried to open this file with LIbreoffice 5.1.0.0.Alpha1+ in linux 64 bits and it takes 16minutes, master from 2015-09-18, Build:217a22188274221035aec988eccea5e5c9768921

3) I have tried to open this file with LibreOffice 5.0.2.2 in Windows 8.1 64 bits and it takes 3 minutes to open. 

4) I have saved the xlsx as ods files.  5 seconds.

5) I have open ods file with 5.0.1.2, 3 minutos to open.

6) I have open ods file with 5.1.0.0.Alpha+, 3 minutos to open.

7) I have open ods file with Microsoft office 2010 64 bits and it takes 3 seconds to open.

I think that the function that open xlsx files should by verified and the same with the function that opens ods files.

Microsoft Office 2010 takes 3 seconds to open the same ods file. 

Thanks
Comment 3 Robinson Tryon (qubit) 2015-12-09 18:07:53 UTC Comment hidden (obsolete)
Comment 4 Xisco Faulí 2017-03-25 10:11:50 UTC
it takes ~5 minutes to open in

Version: 5.4.0.0.alpha0+
Build ID: 193f8966135064a32164c9da08d01dab9c1fc15d
CPU threads: 4; OS: Linux 4.8; UI render: default; VCL: gtk2; 
Locale: ca-ES (ca_ES.UTF-8); Calc: group

and

Version: 5.4.0.0.alpha0+
Build ID: 2356bfdb1b99a93fcb35fefc0f587158e7d160c2
CPU threads: 1; OS: Windows 6.1; UI render: default; 
TinderBox: Win-x86@42, Branch:master, Time: 2017-03-20_00:30:32
Locale: es-ES (es_ES); Calc: group

but there's no crash at export time
Comment 5 Buovjaga 2017-03-25 10:29:31 UTC
Confirmed it does not crash on save anymore. Still a bit slow to open.

It is faster with 3.6.

Arch Linux 64-bit, KDE Plasma 5
Version: 5.4.0.0.alpha0+
Build ID: 54f9a81a1c041c18d209d7eb4659ac18a3ca76dd
CPU threads: 8; OS: Linux 4.10; UI render: default; VCL: kde4; 
Locale: fi-FI (fi_FI.UTF-8); Calc: group
Built on March 25th 2016

Version: 5.4.0.0.alpha0+ (x64)
Build ID: 193f8966135064a32164c9da08d01dab9c1fc15d
CPU threads: 4; OS: Windows 6.19; UI render: default; 
TinderBox: Win-x86_64@42, Branch:master, Time: 2017-03-25_02:08:45
Locale: fi-FI (fi_FI); Calc: group

Arch Linux 64-bit
Version 3.6.7.2 (Build ID: e183d5b)
Comment 7 QA Administrators 2018-03-26 02:31:07 UTC Comment hidden (obsolete)
Comment 8 Roman Kuznetsov 2019-02-28 09:15:36 UTC
still repro in

Version: 6.3.0.0.alpha0+
Build ID: c57dc7d41bd62f933cffab6131edb7252606382d
CPU threads: 4; OS: Windows 6.1; UI render: default; VCL: win; 
Locale: ru-RU (ru_RU); UI-Language: en-US
Calc: threaded

I got a freeze of LO
Comment 9 Xisco Faulí 2019-04-02 13:39:18 UTC
it takes

real	12m55,698s
user	12m54,698s
sys	0m1,577s

in

Version: 6.3.0.0.alpha0+
Build ID: 3b518953a8141b0d5043c2f3996a92956fdc3a47
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); UI-Language: en-US
Calc: threaded
Comment 10 Buovjaga 2019-04-03 09:45:28 UTC
Created attachment 150500 [details]
Callgrind output from master

Arch Linux 64-bit
Version: 6.3.0.0.alpha0+
Build ID: 3b518953a8141b0d5043c2f3996a92956fdc3a47
CPU threads: 8; OS: Linux 5.0; UI render: default; VCL: gtk3; 
Locale: fi-FI (fi_FI.UTF-8); UI-Language: en-US
Calc: threaded
Built on 2 April 2019
Comment 11 Xisco Faulí 2019-04-27 14:40:56 UTC
(In reply to Xisco Faulí from comment #9)
> it takes
> 
> real	12m55,698s
> user	12m54,698s
> sys	0m1,577s
> 
> in
> 
> Version: 6.3.0.0.alpha0+
> Build ID: 3b518953a8141b0d5043c2f3996a92956fdc3a47
> CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
> Locale: ca-ES (ca_ES.UTF-8); UI-Language: en-US
> Calc: threaded

it takes

real	2m53,599s
user	2m53,463s
sys	0m1,264s

in

Version: 6.3.0.0.alpha0+
Build ID: 3ab6d246cc44617af5ed416b5d49f2f35b61ceea
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); UI-Language: en-US
Calc: threaded

nice...
Comment 12 Roman Kuznetsov 2019-12-30 10:33:45 UTC
(In reply to Xisco Faulí from comment #11)
 
> it takes
> 
> real	2m53,599s
> user	2m53,463s
> sys	0m1,264s
> 
> in
> 
> Version: 6.3.0.0.alpha0+
> Build ID: 3ab6d246cc44617af5ed416b5d49f2f35b61ceea
> CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
> Locale: ca-ES (ca_ES.UTF-8); UI-Language: en-US
> Calc: threaded
> 
> nice...

It takes 3:20 min for me in

Version: 6.5.0.0.alpha0+ (x64)
Build ID: 2d736e1a0a2bbd41fe7793d52bbcc7bfc89c7da3
CPU threads: 4; OS: Windows 10.0 Build 18362; UI render: default; VCL: win; 
Locale: ru-RU (ru_RU); UI-Language: en-US
Calc: threaded

Julien, can you make the perfgraph here?
Comment 13 Julien Nabet 2019-12-30 17:57:15 UTC
Created attachment 156857 [details]
Flamegraph

Here's a Flamegraph retrieved on pc Debian x86-64 with master sources updated today.
Comment 14 Roman Kuznetsov 2019-12-31 15:06:04 UTC
Noel, could you look at it?
Comment 15 Xisco Faulí 2020-01-07 11:03:52 UTC
for me it takes

real	3m1,621s
user	2m59,361s
sys	0m1,037s

in

Version: 6.5.0.0.alpha0+
Build ID: bf540873f5e258452fed5006f65a403c95e7872a
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); UI-Language: en-US
Calc: threaded
Comment 16 Noel Grandin 2020-03-03 07:21:39 UTC
The cells in this spreadsheet are pictures of numbers instead of actual numbers.

Why?
Comment 17 Commit Notification 2020-03-10 08:27:20 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/edf13fe1247e7ef411a9ff5435385573fad01f56

tdf#93831 xlsx file full of pictures of numbers slow to open

It will be available in 7.0.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 18 Xisco Faulí 2020-03-10 10:11:26 UTC
in

Version: 7.0.0.0.alpha0+
Build ID: a11c10a83f6fceae6cfb519725d06f8eaf1013fb
CPU threads: 4; OS: Linux 4.19; UI render: default; VCL: gtk3; 
Locale: en-US (en_US.UTF-8); UI-Language: en-US
Calc: threaded

it takes

real	1m54,802s
user	1m52,350s
sys	0m3,853s

while it takes

real	7m8,964s
user	7m9,469s
sys	0m3,468s

before the commit. Nice!!
@Noel, thanks for fixing this issue!!
Comment 19 Commit Notification 2020-03-10 11:05:57 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "libreoffice-6-4":

https://git.libreoffice.org/core/commit/6935465f9b56d99557ba627d845b9d1a2f2f2d07

tdf#93831 xlsx file full of pictures of numbers slow to open

It will be available in 6.4.3.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 20 Commit Notification 2020-03-23 07:43:35 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "libreoffice-6-3":

https://git.libreoffice.org/core/commit/ff1588da212285122e4c4efdbfb723fe9c56caa8

tdf#93831 xlsx file full of pictures of numbers slow to open

It will be available in 6.3.6.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.